API docs

Government Applications

Get government application records for a company.

Returns a paginated list of government applications filed by or related to the specified company.

Endpoint

GET /api/v1/companies/:company_id/gov_applications

Parameters

ParameterTypeInDescription
company_idintegerpathThe unique identifier of the company.
pageintegerqueryPage number (default: 1).
limitintegerqueryRecords per page (default: 100).

Code Examples

Get government applications

import requests

url = 'https://statsnet.co/api/v1/companies/12345/gov_applications'
headers = {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers).json()
print(response)

Response

Success response

{
  "gov_applications": [
    {
      "id": 1,
      "buy_id": 12894321,
      "supplier_bin_iin": "302233483",
      "cr_fio": "Иванов Иван Иванович",
      "mod_fio": "Иванов Иван Иванович",
      "prot_id": 553311,
      "prot_number": "P-2024-001",
      "date_apply": "2024-03-12T10:15:00Z",
      "system_id": 2,
      "app_lots": [
        {
          "id": 1,
          "price": 2500000,
          "amount": 10,
          "app_id": 1,
          "lot_id": 998877,
          "offers": [],
          "status_id": 1,
          "system_id": 2,
          "index_date": "2024-03-12T10:15:00Z",
          "point_list": [1],
          "discount_price": 0,
          "discount_value": 0
        }
      ]
    }
  ],
  "meta": [
    { "year": "2024", "price": 2500000, "total": 1 }
  ],
  "total": 1,
  "pagination_total": 1,
  "pagination_offset": 0
}

Error Handling

Error response

{
  "status": 403,
  "message": "access denied"
}

This is a paid endpoint. It can also respond with 402 — {"status": 402, "message": "payment required"} — when the subscription is expired, canceled, or past due, and 429 — {"status": 429, "message": "quota exhausted"} — when the plan’s report quota for the current period is used up.